<?php
namespace Ep\Form;

use Interop\Container\ContainerInterface;
use Zend\Form\FormAbstractServiceFactory as BaseFormAbstractServiceFactory;

/**
 * Class FormAbstractServiceFactory
 *
 * @package Ep\Form
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class FormAbstractServiceFactory extends BaseFormAbstractServiceFactory
{
	/**
	 * Retrieve the form factory, creating it if necessary
	 *
	 * @param  ContainerInterface $container
	 * @return Factory
	 */
	protected function getFormFactory(ContainerInterface $container)
	{
		if ($this->factory instanceof Factory) {
			return $this->factory;
		}

		$elements = null;
		if ($container->has('FormElementManager')) {
			$elements = $container->get('FormElementManager');
		}

		$this->factory = new Factory($elements);
		return $this->factory;
	}
}