<?php
namespace Ep\Form\Helper;

use Zend\Form\View\Helper\FormElement as BaseFormElement;

/**
 * Odlučuje koji helper koristimo za dati element.
 *
 * @package Ep\Form\Helper
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class FormElement extends BaseFormElement
{
	/**
	 * Instance map to view helper
	 *
	 * @var array
	 */
	protected $classMap = [
		'Zend\Form\Element\Button'         => 'formbutton',
		'Zend\Form\Element\Captcha'        => 'formcaptcha',
		'Zend\Form\Element\Csrf'           => 'formhidden',
		'Zend\Form\Element\Collection'     => 'formcollection',
		'Zend\Form\Element\DateTimeSelect' => 'formdatetimeselect',
		'Zend\Form\Element\DateSelect'     => 'formdateselect',
		'Zend\Form\Element\MonthSelect'    => 'formmonthselect',
	];

	/**
	 * Type map to view helper
	 *
	 * @var array
	 */
	protected $typeMap = [
		'checkbox'       => 'formcheckbox',
		'color'          => 'formcolor',
		'date'           => 'formdate',
		'datetime'       => 'formdatetime',
		'datetime-local' => 'formdatetimelocal',
		'email'          => 'formemail',
		'file'           => 'formfile',
		'hidden'         => 'formhidden',
		'image'          => 'formimage',
		'month'          => 'formmonth',
		'multi_checkbox' => 'formmulticheckbox',
		'radio'          => 'formradio',
		'range'          => 'formrange',
		'reset'          => 'formreset',
		'search'         => 'formsearch',
		'select'         => 'formselect',
		'submit'         => 'formbutton',
		'tel'            => 'formtel',
		'textarea'       => 'formtextarea',
		'time'           => 'formtime',
		'week'           => 'formweek',
	];
}