<?php
namespace Ep\Form\Helper;

use Zend\Form\ElementInterface;
use Zend\Form\View\Helper\FormSelect as BaseFormSelect;

/**
 * Renderira <select> element.
 *
 * @package Ep\Form\Helper
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class FormSelect extends BaseFormSelect
{
	public function __invoke(ElementInterface $element = null)
	{
		$classes = explode(' ', $element->getAttribute('class'));
		$classes[] = 'form-control';

		if (count($element->getMessages()) > 0) {
			$classes[] = 'is-invalid';
		}

		$element->setAttribute('class', implode(' ', $classes));
		return parent::__invoke($element);
	}
}