<?php
namespace Ep\Gath\Entity;

/**
 * Definira nekakav popust na cijenu.
 *
 * @package Ep\Gath\Entity
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class Discount
{
	/** @var float */
	private $displayRate;
	/** @var float */
	private $originalPrice;
	/** @var float */
	private $discountedPrice;
	/** @var float */
	private $originalPriceNoTax;
	/** @var float */
	private $discountedPriceNoTax;

	/**
	 * Vraća popust kao postotak.
	 *
	 * @return float
	 */
	public function getDisplayRate(): float
	{
		return $this->displayRate;
	}

	/**
	 * Vraća originalnu cijenu bez popusta.
	 *
	 * @return float
	 */
	public function getOriginalPrice(): float
	{
		return $this->originalPrice;
	}

	/**
	 * Vraća cijenu s popustom.
	 *
	 * @return float
	 */
	public function getDiscountedPrice(): float
	{
		return $this->discountedPrice;
	}

	/**
	 * @return float
	 */
	public function getOriginalPriceNoTax(): float
	{
		return $this->originalPriceNoTax;
	}

	/**
	 * @return float
	 */
	public function getDiscountedPriceNoTax(): float
	{
		return $this->discountedPriceNoTax;
	}
}