<?php
namespace Ep\InputFilter;

use Zend\ServiceManager\Factory\InvokableFactory;

/**
 * Class ConfigProvider
 *
 * @package Ep\InputFilter
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class ConfigProvider
{
	/**
	 * @return array
	 */
	public function __invoke()
	{
		return [
			'input_filters' => $this->getInputFilterConfig(),
		];
	}

	/**
	 * @return array
	 */
	public function getInputFilterConfig()
	{
		return [
			'aliases' => [
				'inputfilter' => InputFilter::class,
				'inputFilter' => InputFilter::class,
				'InputFilter' => InputFilter::class,
			],

			'factories' => [
				InputFilter::class => InvokableFactory::class,
			],
		];
	}
}