<?php
namespace Ep\View;

use Interop\Container\ContainerInterface;
use Zend\ServiceManager\Factory\FactoryInterface;
use Zend\View\HelperPluginManager;
use Zend\View\Renderer\RendererInterface;

/**
 * Stvara novu instancu ViewHelper managera.
 *
 * @package Ep\View
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class HelperPluginManagerFactory implements FactoryInterface
{
	/**
	 * Stvara objekt.
	 *
	 * @param  ContainerInterface $container
	 * @param  string $requestedName
	 * @param  null|array $options
	 *
	 * @return HelperPluginManager
	 */
	public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
	{
		$config = $container->get('config');
		$config = $config['view_helpers'] ?? [];

		$manager = new HelperPluginManager($container, $config);

		return $manager;
	}
}