<?php
namespace Ep\WordPress\Form;

use Zend\Form\Form;

/**
 * Obrazac s postavkama.
 *
 * @package Ep\WordPress\Form
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class SettingsForm extends Form
{
	/**
	 * Inicijalizacija forme.
	 */
	public function init()
	{
		$class = $this->getAttribute('class');
		$class = explode(' ', $class);
		$class[] = 'form-horizontal';

		$this->setAttribute('class', implode(' ', $class));
		$this->setAttribute('novalidate', true);

		$this->add([
			'type' => 'hidden',
			'name' => 'optionKey',
		]);

		$this->add([
			'type' => 'submit',
			'name' => 'submit',
			'options' => [
				'label' => 'Spremi promjene',
			],
		], [
			'priority' => -1,
		]);
	}

	/**
	 * Ne dopuštamo izmjenu vrijednosti option polja.
	 *
	 * @param array|\ArrayAccess|\Traversable $data
	 *
	 * @return Form
	 */
	public function setData($data)
	{
		if (array_key_exists('option', $data)) {
			unset($data['option']);
		}

		return parent::setData($data);
	}
}