<?php
namespace EpTest\Gath\Adapter;

use EpTest\IntegrationTestCase;
use GuzzleHttp\ClientInterface as HttpClientInterface;
use Psr\Http\Message\MessageInterface;
use Psr\Http\Message\StreamInterface;

/**
 * Testira adapter za novi REST API.
 *
 * @package EpTest\Gath\Adapter
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class RestAdapterTest extends IntegrationTestCase
{
	/**
	 * Vraća mock http klijent koji za odgovor uvijek vraća $response.
	 *
	 * @param array $response
	 *
	 * @return \PHPUnit_Framework_MockObject_MockObject|HttpClientInterface
	 */
	protected function getClientWithResponse(array $response)
	{
		$contents = json_encode($response);

		$body = $this->createMock(StreamInterface::class);
		$body->method('getContents')->willReturn($contents);

		$message = $this->createMock(MessageInterface::class);
		$message->method('getBody')->willReturn($body);

		$client = $this->createMock(HttpClientInterface::class);
		$client->method('request')->willReturn($message);

		return $client;
	}

	/**
	 * Bezveze metoda da nam phpunit ne kenjka što klasa ne sadrži testove.
	 */
	public function testDummy()
	{
		$this->assertEquals(1, 1);
	}
}