<?php
namespace EpTest\View;

use EpTest\IntegrationTestCase;
use Zend\View\HelperPluginManager;
use Zend\View\Renderer\RendererInterface;

/**
 * Class IntegrationTest
 *
 * @package EpTest\View
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class IntegrationTest extends IntegrationTestCase
{
	public function testViewRendererIsRegistered()
	{
		$services = $this->getServiceManager();

		$this->assertTrue($services->has('ViewRenderer'));
		$this->assertInstanceOf(RendererInterface::class, $services->get('ViewRenderer'));
	}

	public function testViewHelperManagerWillHaveAViewRendererRegistered()
	{
		$services = $this->getServiceManager();
		$services->get('Twig');
		/** @var HelperPluginManager $viewHelpers */
		$viewHelpers = $services->get('ViewHelperManager');
		$renderer = $viewHelpers->getRenderer();

		$this->assertInstanceOf(RendererInterface::class, $renderer);
	}
}